;=======================================================;
;                       Kernel32                        ;
;=======================================================;

CloseHandle Proto :DWord

;CopyFileA Proto :DWord, :DWord, :DWord
;CopyFileW Proto :DWord, :DWord, :DWord
;CopyFile Equ <CopyFileA>

;CopyFileExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;CopyFileExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;CopyFileEx Equ <CopyFileExA>

;CreateDirectoryA Proto :DWord, :DWord
;CreateDirectoryW Proto :DWord, :DWord
;CreateDirectory Equ <CreateDirectoryA>

;CreateDirectoryExA Proto :DWord, :DWord, :DWord
;CreateDirectoryExW Proto :DWord, :DWord, :DWord
;CreateDirectoryEx Equ <CreateDirectoryExA>

CreateFileA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
CreateFileW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
CreateFile Equ <CreateFileA>

;DeleteFileA Proto :DWord
;DeleteFileW Proto :DWord
;DeleteFile Equ <DeleteFileA>

;FindFirstFileA Proto :DWord, :DWord
;FindFirstFileW Proto :DWord, :DWord
;FindFirstFile Equ <FindFirstFileA>

;FindFirstFileExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;FindFirstFileExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;FindFirstFileEx Equ <FindFirstFileExA>

;FindNextFileA Proto :DWord, :DWord
;FindNextFileW Proto :DWord, :DWord
;FindNextFile Equ <FindNextFileA>

FindResourceA Proto :DWord, :DWord, :DWord
FindResourceW Proto :DWord, :DWord, :DWord
FindResource Equ <FindResourceA>

;FindResourceExA Proto :DWord, :DWord, :DWord, :DWord
;FindResourceExW Proto :DWord, :DWord, :DWord, :DWord
;FindResourceEx Equ <FindResourceExA>

FreeLibrary Proto :DWord

GetCommandLineA Proto
GetCommandLineW Proto
GetCommandLine Equ <GetCommandLineA>

;GetCurrentDirectoryA Proto :DWord, :DWord
;GetCurrentDirectoryW Proto :DWord, :DWord
;GetCurrentDirectory Equ <GetCurrentDirectoryA>

GetCurrentProcess Proto

;GetFileAttributesA Proto :DWord
;GetFileAttributesW Proto :DWord
;GetFileAttributes Equ <GetFileAttributesA>

;GetFileAttributesExA Proto :DWord, :DWord, :DWord
;GetFileAttributesExW Proto :DWord, :DWord, :DWord
;GetFileAttributesEx Equ <GetFileAttributesExA>

GetFileSize Proto :DWord, :DWord
;GetFileSizeEx PROTO :DWORD,:DWORD

GetLastError Proto

GetModuleHandleA Proto :DWord
GetModuleHandleW Proto :DWord
GetModuleHandle Equ <GetModuleHandleA>

GetModuleFileNameA Proto :DWord, :DWord, :DWord
GetModuleFileNameW Proto :DWord, :DWord, :DWord
GetModuleFileName Equ <GetModuleFileNameA>

GetProcAddress Proto :DWord, :DWord

;GetShortPathNameA Proto :DWord, :DWord, :DWord
;GetShortPathNameW Proto :DWord, :DWord, :DWord
;GetShortPathName Equ <GetShortPathNameA>

;GetSystemDirectoryA Proto :DWord, :DWord
;GetSystemDirectoryW Proto :DWord, :DWord
;GetSystemDirectory Equ <GetSystemDirectoryA>

;GetTempPathA Proto :DWord, :DWord
;GetTempPathW Proto :DWord, :DWord
;GetTempPath Equ <GetTempPathA>

;GetVersion Proto

GetVersionExA Proto :DWord
GetVersionExW Proto :DWord
GetVersionEx Equ <GetVersionExA>

;GetWindowsDirectoryA Proto :DWord, :DWord
;GetWindowsDirectoryW Proto :DWord, :DWord
;GetWindowsDirectory Equ <GetWindowsDirectoryA>

GlobalAlloc Proto :DWord, :DWord
GlobalFree Proto :DWord
;GlobalHandle Proto :DWord
;GlobalLock PROTO :DWORD
;GlobalMemoryStatus Proto :DWord
;GlobalReAlloc Proto :DWord, :DWord, :DWord
;GlobalSize Proto :DWord
;GlobalUnlock PROTO :DWORD

HeapAlloc Proto :DWord, :DWord, :DWord
;HeapCompact PROTO :DWORD,:DWORD
HeapCreate PROTO :DWORD,:DWORD,:DWORD
HeapDestroy PROTO :DWORD
HeapFree PROTO :DWORD,:DWORD,:DWORD

LoadLibraryA Proto :DWord
LoadLibraryW Proto :DWord
LoadLibrary Equ <LoadLibraryA>

;LoadLibraryExA Proto :DWord, :DWord, :DWord
;LoadLibraryExW Proto :DWord, :DWord, :DWord
;LoadLibraryEx Equ <LoadLibraryExA>

;LoadResource Proto :DWord, :DWord

;MoveFileA Proto :DWord, :DWord
;MoveFileW Proto :DWord, :DWord
;MoveFile Equ <MoveFileA>

;MoveFileExA Proto :DWord, :DWord, :DWord
;MoveFileExW Proto :DWord, :DWord, :DWord
;MoveFileEx Equ <MoveFileExA>

;MulDiv PROTO :DWORD,:DWORD,:DWORD
MultiByteToWideChar Proto :DWord,:DWord,:DWord,:DWord,:DWord,:DWord

ReadFile Proto :DWord, :DWord, :DWord, :DWord, :DWord
;ReadFileEx Proto :DWord, :DWord, :DWord, :DWord, :DWord

;RemoveDirectoryA Proto :DWord
;RemoveDirectoryW Proto :DWord
;RemoveDirectory Equ <RemoveDirectoryA>

;ReplaceFileA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;ReplaceFileW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;ReplaceFile Equ <ReplaceFileA>

RtlFillMemory Proto :DWord, :DWord, :DWord
RtlMoveMemory Proto :DWord, :DWord, :DWord
;RtlZeroMemory Proto :DWord, :DWord

;SetCurrentDirectoryA Proto :DWord
;SetCurrentDirectoryW Proto :DWord
;SetCurrentDirectory Equ <SetCurrentDirectoryA>

;SetFileAttributesA Proto :DWord, :DWord
;SetFileAttributesW Proto :DWord, :DWord
;SetFileAttributes Equ <SetFileAttributesA>

SetFilePointer Proto :DWord, :DWord, :DWord, :DWord
;SetFilePointerEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD

;Sleep PROTO :DWORD
;SleepEx Proto :DWord, :DWord

VirtualAlloc Proto :DWord, :DWord, :DWord, :DWord
;VirtualAllocEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
VirtualFree Proto :DWord, :DWord, :DWord
;VirtualFreeEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;VirtualLock PROTO :DWORD,:DWORD
VirtualProtect Proto :DWord, :DWord, :DWord, :DWord
;VirtualProtectEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;VirtualQuery PROTO :DWORD,:DWORD,:DWORD
;VirtualQueryEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;VirtualUnlock PROTO :DWORD,:DWORD

WideCharToMultiByte Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
WriteFile Proto :DWord, :DWord, :DWord, :DWord, :DWord
WriteFileEx Proto :DWord, :DWord, :DWord, :DWord, :DWord

lstrcatA Proto :DWord, :DWord
lstrcatW Proto :DWord, :DWord
lstrcat Equ <lstrcatA>

lstrcmpA Proto :DWord, :DWord
lstrcmpW Proto :DWord, :DWord
lstrcmp Equ <lstrcmpA>

lstrcmpiA Proto :DWord, :DWord
lstrcmpiW Proto :DWord, :DWord
lstrcmpi Equ <lstrcmpiA>

lstrcpyA Proto :DWord, :DWord
lstrcpyW Proto :DWord, :DWord
lstrcpy Equ <lstrcpyA>

;lstrcpynA Proto :DWord, :DWord, :DWord
;lstrcpynW Proto :DWord, :DWord, :DWord
;lstrcpyn Equ <lstrcpynA>

lstrlenA Proto :DWord
lstrlenW Proto :DWord
lstrlen Equ <lstrlenA>


;=======================================================;
;                        User32                         ;
;=======================================================;

BeginPaint Proto :DWord, :DWord

CallWindowProcA Proto :DWord, :DWord, :DWord, :DWord, :DWord
CallWindowProcW Proto :DWord, :DWord, :DWord, :DWord, :DWord
CallWindowProc Equ <CallWindowProcA>

;ClientToScreen PROTO :DWORD,:DWORD
;CloseClipboard Proto
CopyRect Proto :DWord, :DWord

;CreateAcceleratorTableA Proto :DWord, :DWord
;CreateAcceleratorTableW Proto :DWord, :DWord
;CreateAcceleratorTable Equ <CreateAcceleratorTableA>

;CreateCaret PROTO :DWORD,:DWORD,:DWORD,:DWORD
;CreateCursor Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord

;CreateDialogIndirectParamA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;CreateDialogIndirectParamW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;CreateDialogIndirectParam Equ <CreateDialogIndirectParamA>

CreateDialogParamA Proto :DWord, :DWord, :DWord, :DWord, :DWord
CreateDialogParamW Proto :DWord, :DWord, :DWord, :DWord, :DWord
CreateDialogParam Equ <CreateDialogParamA>

CreateMenu PROTO 
;CreatePopupMenu Proto

CreateWindowExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
CreateWindowExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
CreateWindowEx Equ <CreateWindowExA>

DefFrameProcA Proto :DWord, :DWord, :DWord, :DWord, :DWord
DefFrameProcW Proto :DWord, :DWord, :DWord, :DWord, :DWord
DefFrameProc Equ <DefFrameProcA>

DefMDIChildProcA Proto :DWord, :DWord, :DWord, :DWord
DefMDIChildProcW Proto :DWord, :DWord, :DWord, :DWord
DefMDIChildProc Equ <DefMDIChildProcA>

DefWindowProcA Proto :DWord, :DWord, :DWord, :DWord
DefWindowProcW Proto :DWord, :DWord, :DWord, :DWord
DefWindowProc Equ <DefWindowProcA>

DeleteMenu Proto :DWord, :DWord, :DWord
DestroyAcceleratorTable Proto :DWord
;DestroyCaret PROTO 
DestroyCursor PROTO :DWORD
DestroyIcon PROTO :DWORD
DestroyMenu PROTO :DWORD
DestroyWindow Proto :DWord

;DialogBoxIndirectParamA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;DialogBoxIndirectParamW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;DialogBoxIndirectParam Equ <DialogBoxIndirectParamA>

DialogBoxParamA Proto :DWord, :DWord, :DWord, :DWord, :DWord
DialogBoxParamW Proto :DWord, :DWord, :DWord, :DWord, :DWord
DialogBoxParam Equ <DialogBoxParamA>

DispatchMessageA Proto :DWord
DispatchMessageW Proto :DWord
DispatchMessage Equ <DispatchMessageA>

DrawFocusRect PROTO :DWORD,:DWORD
DrawFrameControl PROTO :DWORD,:DWORD,:DWORD,:DWORD
DrawIcon Proto :DWord, :DWord, :DWord, :DWord
DrawIconEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
DrawMenuBar Proto :DWord

DrawStateA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
DrawStateW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
DrawState Equ <DrawStateA>

DrawTextA Proto :DWord, :DWord, :DWord, :DWord, :DWord
DrawTextW Proto :DWord, :DWord, :DWord, :DWord, :DWord
DrawText Equ <DrawTextA>

;DrawTextExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;DrawTextExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;DrawTextEx Equ <DrawTextExA>

;EmptyClipboard PROTO 
EnableMenuItem Proto :DWord, :DWord, :DWord
;EnableScrollBar PROTO :DWORD,:DWORD,:DWORD
EnableWindow Proto :DWord, :DWord
;EndDeferWindowPos PROTO :DWORD
;EndDialog PROTO :DWORD,:DWORD
EndPaint PROTO :DWORD,:DWORD
;EnumChildWindows Proto :DWord, :DWord, :DWord
;EnumClipboardFormats PROTO :DWORD
;EnumDesktopWindows PROTO :DWORD,:DWORD,:DWORD

EnumWindows PROTO :DWORD,:DWORD
;EqualRect PROTO :DWORD,:DWORD
;ExcludeUpdateRgn PROTO :DWORD,:DWORD
;ExitWindowsEx PROTO :DWORD,:DWORD
FillRect Proto :DWord, :DWord, :DWord

FindWindowA Proto :DWord, :DWord
FindWindowW Proto :DWord, :DWord
FindWindow Equ <FindWindowA>

;FindWindowExA Proto :DWord, :DWord, :DWord, :DWord
;FindWindowExW Proto :DWord, :DWord, :DWord, :DWord
;FindWindowEx Equ <FindWindowExA>

;FlashWindow Proto :DWord, :DWord
;FlashWindowEx Proto :DWord
FrameRect PROTO :DWORD,:DWORD,:DWORD
;FreeDDElParam PROTO :DWORD,:DWORD
;GetActiveWindow Proto 

;GetAncestor Proto :DWord, :DWord
;GetAsyncKeyState Proto :DWord
GetCapture PROTO 
;GetCaretBlinkTime PROTO 
;GetCaretPos Proto :DWord

;GetClassInfoA Proto :DWord, :DWord, :DWord
;GetClassInfoW Proto :DWord, :DWord, :DWord
;GetClassInfo Equ <GetClassInfoA>

GetClassInfoExA Proto :DWord, :DWord, :DWord
GetClassInfoExW Proto :DWord, :DWord, :DWord
GetClassInfoEx Equ <GetClassInfoExA>

GetClassLongA Proto :DWord, :DWord
GetClassLongW Proto :DWord, :DWord
GetClassLong Equ <GetClassLongA>

GetClassNameA Proto :DWord, :DWord, :DWord
GetClassNameW Proto :DWord, :DWord, :DWord
GetClassName Equ <GetClassNameA>

;GetClassWord PROTO :DWORD,:DWORD
GetClientRect Proto :DWord, :DWord
;GetClipCursor PROTO :DWORD
;GetClipboardData PROTO :DWORD

;GetClipboardOwner Proto
;GetClipboardSequenceNumber Proto
;GetClipboardViewer PROTO 
;GetComboBoxInfo Proto :DWord, :DWord
GetCursor Proto
;GetCursorInfo Proto :DWord
;GetCursorPos PROTO :DWORD
GetDC PROTO :DWORD
;GetDCEx PROTO :DWORD,:DWORD,:DWORD
;GetDesktopWindow Proto 
;GetDialogBaseUnits PROTO 
;GetDlgCtrlID PROTO :DWORD
;GetDlgItem PROTO :DWORD,:DWORD
;GetDlgItemInt Proto :DWord, :DWord, :DWord, :DWord

;GetDlgItemTextA Proto :DWord, :DWord, :DWord, :DWord
;GetDlgItemTextW Proto :DWord, :DWord, :DWord, :DWord
;GetDlgItemText Equ <GetDlgItemTextA>

;GetDoubleClickTime PROTO 
GetFocus Proto
;GetForegroundWindow Proto 
;GetGUIThreadInfo PROTO :DWORD,:DWORD
;GetGuiResources PROTO :DWORD,:DWORD
;GetIconInfo PROTO :DWORD,:DWORD
;GetInputState PROTO 
;GetKBCodePage Proto

;GetKeyNameTextA Proto :DWord, :DWord, :DWord
;GetKeyNameTextW Proto :DWord, :DWord, :DWord
;GetKeyNameText Equ <GetKeyNameTextA>

GetKeyState PROTO :DWORD
;GetKeyboardLayout Proto :DWord
;GetKeyboardLayoutList Proto :DWord, :DWord

;GetKeyboardLayoutNameA Proto :DWord
;GetKeyboardLayoutNameW Proto :DWord
;GetKeyboardLayoutName Equ <GetKeyboardLayoutNameA>

;GetKeyboardState PROTO :DWORD
;GetKeyboardType Proto :DWord
;GetLastActivePopup PROTO :DWORD
;GetLastInputInfo PROTO :DWORD
;GetListBoxInfo PROTO :DWORD
;GetMenu PROTO :DWORD
;GetMenuBarInfo PROTO :DWORD,:DWORD,:DWORD,:DWORD
;GetMenuCheckMarkDimensions PROTO 
;GetMenuContextHelpId PROTO :DWORD
;GetMenuDefaultItem PROTO :DWORD,:DWORD,:DWORD
;GetMenuInfo PROTO :DWORD,:DWORD
;GetMenuItemCount PROTO :DWORD
;GetMenuItemID Proto :DWord, :DWord

;GetMenuItemInfoA Proto :DWord, :DWord, :DWord, :DWord
;GetMenuItemInfoW Proto :DWord, :DWord, :DWord, :DWord
;GetMenuItemInfo Equ <GetMenuItemInfoA>

;GetMenuItemRect PROTO :DWORD,:DWORD,:DWORD,:DWORD
;GetMenuState Proto :DWord, :DWord, :DWord

;GetMenuStringA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;GetMenuStringW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;GetMenuString Equ <GetMenuStringA>

GetMessageA Proto :DWord, :DWord, :DWord, :DWord
GetMessageW Proto :DWord, :DWord, :DWord, :DWord
GetMessage Equ <GetMessageA>

;GetMessageExtraInfo PROTO 
;GetMessagePos PROTO 
;GetMessageTime Proto

;GetMonitorInfoA Proto :DWord, :DWord
;GetMonitorInfoW Proto :DWord, :DWord
;GetMonitorInfo Equ <GetMonitorInfoA>

;GetMouseMovePointsEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;GetNextDlgGroupItem Proto :DWord, :DWord, :DWord
;GetNextDlgTabItem PROTO :DWORD,:DWORD,:DWORD
;GetOpenClipboardWindow Proto 
GetParent PROTO :DWORD
;GetPriorityClipboardFormat PROTO :DWORD,:DWORD
;GetProcessDefaultLayout PROTO :DWORD
;GetProcessWindowStation PROTO 

;GetQueueStatus Proto :DWord
;GetScrollBarInfo Proto :DWord, :DWord, :DWord
GetScrollInfo PROTO :DWORD,:DWORD,:DWORD
;GetScrollPos PROTO :DWORD,:DWORD
;GetScrollRange PROTO :DWORD,:DWORD,:DWORD,:DWORD
;GetShellWindow Proto 
;GetSubMenu PROTO :DWORD,:DWORD
GetSysColor PROTO :DWORD
GetSysColorBrush PROTO :DWORD
GetSystemMenu PROTO :DWORD,:DWORD
GetSystemMetrics Proto :DWord

;GetTabbedTextExtentA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;GetTabbedTextExtentW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;GetTabbedTextExtent Equ <GetTabbedTextExtentA>

;GetThreadDesktop PROTO :DWORD
;GetTitleBarInfo Proto :DWord, :DWord
;GetTopWindow Proto :DWORD
;GetUpdateRect PROTO :DWORD,:DWORD,:DWORD
;GetUpdateRgn PROTO :DWORD,:DWORD,:DWORD

;GetUserObjectSecurity Proto :DWord, :DWord, :DWord, :DWord, :DWord
GetWindow Proto :DWord, :DWord
;GetWindowContextHelpId PROTO :DWORD
;GetWindowDC PROTO :DWORD
;GetWindowInfo Proto :DWord, :DWord

GetWindowLongA Proto :DWord, :DWord
GetWindowLongW Proto :DWord, :DWord
GetWindowLong Equ <GetWindowLongA>

;GetWindowModuleFileNameA Proto :DWord, :DWord, :DWord
;GetWindowModuleFileNameW Proto :DWord, :DWord, :DWord
;GetWindowModuleFileName Equ <GetWindowModuleFileNameA>

GetWindowPlacement PROTO :DWORD,:DWORD
GetWindowRect Proto :DWord, :DWord
;GetWindowRgn Proto :DWord, :DWord

GetWindowTextA Proto :DWord, :DWord, :DWord
GetWindowTextW Proto :DWord, :DWord, :DWord
GetWindowText Equ <GetWindowTextA>

;GetWindowTextLengthA Proto :DWord
;GetWindowTextLengthW Proto :DWord
;GetWindowTextLength Equ <GetWindowTextLengthA>

GetWindowThreadProcessId Proto :DWord, :DWord
;GetWindowWord Proto :DWord, :DWord

;GrayStringA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;GrayStringW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;GrayString Equ <GrayStringA>

;HideCaret PROTO :DWORD
;HiliteMenuItem Proto :DWord, :DWord, :DWord, :DWord

;ImpersonateDdeClientWindow Proto :DWORD,:DWORD
;InSendMessage PROTO 
;InSendMessageEx PROTO :DWORD
;InflateRect Proto :DWord, :DWord, :DWord

;InsertMenuA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;InsertMenuW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;InsertMenu Equ <InsertMenuA>

;InsertMenuItemA Proto :DWord, :DWord, :DWord, :DWord
;InsertMenuItemW Proto :DWord, :DWord, :DWord, :DWord
;InsertMenuItem Equ <InsertMenuItemA>

;IntersectRect PROTO :DWORD,:DWORD,:DWORD
InvalidateRect PROTO :DWORD,:DWORD,:DWORD
;InvalidateRgn Proto :DWord, :DWord, :DWord
;InvertRect Proto :DWord, :DWord

;IsCharAlphaA Proto :DWord
;IsCharAlphaW Proto :DWord
;IsCharAlpha Equ <IsCharAlphaA>

;IsCharAlphaNumericA Proto :DWord
;IsCharAlphaNumericW Proto :DWord
;IsCharAlphaNumeric Equ <IsCharAlphaNumericA>

;IsCharLowerA Proto :DWord
;IsCharLowerW Proto :DWord
;IsCharLower Equ <IsCharLowerA>

;IsCharUpperA Proto :DWord
;IsCharUpperW Proto :DWord
;IsCharUpper Equ <IsCharUpperA>

;IsChild PROTO :DWORD,:DWORD
;IsClipboardFormatAvailable Proto :DWord

;IsDialogMessageA Proto :DWord, :DWord
;IsDialogMessageW Proto :DWord, :DWord
;IsDialogMessage Equ <IsDialogMessageA>

;IsDlgButtonChecked PROTO :DWORD,:DWORD
;IsIconic Proto :DWord
;IsMenu PROTO :DWORD
;IsRectEmpty PROTO :DWORD
IsWindow Proto :DWord
IsWindowEnabled PROTO :DWORD
IsWindowUnicode PROTO :DWORD
IsWindowVisible PROTO :DWORD
;IsZoomed PROTO :DWORD
KillTimer Proto :DWord, :DWord

;LoadAcceleratorsA Proto :DWord, :DWord
;LoadAcceleratorsW Proto :DWord, :DWord
;LoadAccelerators Equ <LoadAcceleratorsA>

;LoadBitmapA Proto :DWord, :DWord
;LoadBitmapW Proto :DWord, :DWord
;LoadBitmap Equ <LoadBitmapA>

;LoadCursorA Proto :DWord, :DWord
;LoadCursorW Proto :DWord, :DWord
;LoadCursor Equ <LoadCursorA>

;LoadCursorFromFileA Proto :DWord
;LoadCursorFromFileW Proto :DWord
;LoadCursorFromFile Equ <LoadCursorFromFileA>

;LoadIconA Proto :DWord, :DWord
;LoadIconW Proto :DWord, :DWord
;LoadIcon Equ <LoadIconA>

LoadImageA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
LoadImageW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
LoadImage Equ <LoadImageA>

;LoadKeyboardLayoutA Proto :DWord, :DWord
;LoadKeyboardLayoutW Proto :DWord, :DWord
;LoadKeyboardLayout Equ <LoadKeyboardLayoutA>

LoadMenuA Proto :DWord, :DWord
LoadMenuW Proto :DWord, :DWord
LoadMenu Equ <LoadMenuA>

;LoadMenuIndirectA Proto :DWord
;LoadMenuIndirectW Proto :DWord
;LoadMenuIndirect Equ <LoadMenuIndirectA>

LoadStringA Proto :DWord, :DWord, :DWord, :DWord
LoadStringW Proto :DWord, :DWord, :DWord, :DWord
LoadString Equ <LoadStringA>

;LockSetForegroundWindow Proto :DWORD
;LockWindowUpdate Proto :DWord
;LockWorkStation PROTO 
;LookupIconIdFromDirectory PROTO :DWORD,:DWORD
;LookupIconIdFromDirectoryEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
MapDialogRect Proto :DWord, :DWord

;MapVirtualKeyA Proto :DWord, :DWord
;MapVirtualKeyW Proto :DWord, :DWord
;MapVirtualKey Equ <MapVirtualKeyA>

;MapVirtualKeyExA Proto :DWord, :DWord, :DWord
;MapVirtualKeyExW Proto :DWord, :DWord, :DWord
;MapVirtualKeyEx Equ <MapVirtualKeyExA>

;MapWindowPoints PROTO :DWORD,:DWORD,:DWORD,:DWORD
;MenuItemFromPoint PROTO :DWORD,:DWORD,:DWORD,:DWORD
;MessageBeep Proto :DWord

MessageBoxA Proto :DWord, :DWord, :DWord, :DWord
MessageBoxW Proto :DWord, :DWord, :DWord, :DWord
MessageBox Equ <MessageBoxA>

;MessageBoxExA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;MessageBoxExW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;MessageBoxEx Equ <MessageBoxExA>

;MessageBoxIndirectA Proto :DWord
;MessageBoxIndirectW Proto :DWord
;MessageBoxIndirect Equ <MessageBoxIndirectA>

;ModifyMenuA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;ModifyMenuW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;ModifyMenu Equ <ModifyMenuA>

;MonitorFromPoint PROTO :DWORD,:DWORD,:DWORD
;MonitorFromRect Proto :DWord, :DWord
;MonitorFromWindow Proto :DWORD,:DWORD
MoveWindow Proto :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;MsgWaitForMultipleObjects PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;MsgWaitForMultipleObjectsEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;NotifyWinEvent PROTO :DWORD,:DWORD,:DWORD,:DWORD
;OemKeyScan Proto :DWord

;OemToCharA Proto :DWord, :DWord
;OemToCharW Proto :DWord, :DWord
;OemToChar Equ <OemToCharA>

;OemToCharBuffA Proto :DWord, :DWord, :DWord
;OemToCharBuffW Proto :DWord, :DWord, :DWord
;OemToCharBuff Equ <OemToCharBuffA>

;OffsetRect PROTO :DWORD,:DWORD,:DWORD
;OpenClipboard PROTO :DWORD

;OpenIcon Proto :DWord
;OpenInputDesktop Proto :DWord, :DWord, :DWord

;PackDDElParam Proto :DWord, :DWord, :DWord
;PaintDesktop Proto :DWord

PeekMessageA Proto :DWord, :DWord, :DWord, :DWord, :DWord
PeekMessageW Proto :DWord, :DWord, :DWord, :DWord, :DWord
PeekMessage Equ <PeekMessageA>

PostMessageA Proto :DWord, :DWord, :DWord, :DWord
PostMessageW Proto :DWord, :DWord, :DWord, :DWord
PostMessage Equ <PostMessageA>

PostQuitMessage Proto :DWord

;PostThreadMessageA Proto :DWord, :DWord, :DWord, :DWord
;PostThreadMessageW Proto :DWord, :DWord, :DWord, :DWord
;PostThreadMessage Equ <PostThreadMessageA>

;PtInRect PROTO :DWORD,:DWORD,:DWORD
;RealChildWindowFromPoint Proto :DWord, :DWord, :DWord

;RealGetWindowClassA Proto :DWord, :DWord, :DWord
;RealGetWindowClassW Proto :DWord, :DWord, :DWord
;RealGetWindowClass Equ <RealGetWindowClassA>

RedrawWindow Proto :DWord, :DWord, :DWord, :DWord

;RegisterClassA Proto :DWord
;RegisterClassW Proto :DWord
;RegisterClass Equ <RegisterClassA>

RegisterClassExA Proto :DWord
RegisterClassExW Proto :DWord
RegisterClassEx Equ <RegisterClassExA>

;RegisterClipboardFormatA Proto :DWord
;RegisterClipboardFormatW Proto :DWord
;RegisterClipboardFormat Equ <RegisterClipboardFormatA>

;RegisterHotKey Proto :DWord, :DWord, :DWord, :DWord

;RegisterWindowMessageA Proto :DWord
;RegisterWindowMessageW Proto :DWord
;RegisterWindowMessage Equ <RegisterWindowMessageA>

ReleaseCapture PROTO 
ReleaseDC Proto :DWord, :DWord
;RemoveMenu PROTO :DWORD,:DWORD,:DWORD

;ReplyMessage Proto :DWord
;ReuseDDElParam Proto :DWord, :DWord, :DWord, :DWord, :DWord
ScreenToClient PROTO :DWORD,:DWORD
;ScrollDC PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ScrollWindow Proto :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ScrollWindowEx Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord

;SendDlgItemMessageA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;SendDlgItemMessageW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;SendDlgItemMessage Equ <SendDlgItemMessageA>

;SendInput Proto :DWord, :DWord, :DWord

SendMessageA Proto :DWord, :DWord, :DWord, :DWord
SendMessageW Proto :DWord, :DWord, :DWord, :DWord
SendMessage Equ <SendMessageA>

;SendMessageCallbackA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;SendMessageCallbackW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;SendMessageCallback Equ <SendMessageCallbackA>

;SendMessageTimeoutA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;SendMessageTimeoutW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;SendMessageTimeout Equ <SendMessageTimeoutA>

;SendNotifyMessageA Proto :DWord, :DWord, :DWord, :DWord
;SendNotifyMessageW Proto :DWord, :DWord, :DWord, :DWord
;SendNotifyMessage Equ <SendNotifyMessageA>

SetActiveWindow Proto :DWord
SetCapture Proto :DWord
;SetCaretBlinkTime PROTO :DWORD
;SetCaretPos Proto :DWord, :DWord

SetClassLongA Proto :DWord, :DWord, :DWord
SetClassLongW Proto :DWord, :DWord, :DWord
SetClassLong Equ <SetClassLongA>

;SetClassWord PROTO :DWORD,:DWORD,:DWORD
;SetClipboardData Proto :DWord, :DWord
;SetClipboardViewer PROTO :DWORD
SetCursor PROTO :DWORD
;SetCursorPos PROTO :DWORD,:DWORD
;SetDebugErrorLevel PROTO :DWORD
;SetDeskWallpaper PROTO :DWORD
;SetDlgItemInt Proto :DWord, :DWord, :DWord, :DWord

;SetDlgItemTextA Proto :DWord, :DWord, :DWord
;SetDlgItemTextW Proto :DWord, :DWord, :DWord
;SetDlgItemText Equ <SetDlgItemTextA>

;SetDoubleClickTime PROTO :DWORD
SetFocus Proto :DWord
;SetForegroundWindow Proto :DWORD
;SetKeyboardState PROTO :DWORD
;SetLastErrorEx PROTO :DWORD,:DWORD
;SetLayeredWindowAttributes PROTO :DWORD,:DWORD,:DWORD,:DWORD
SetMenu PROTO :DWORD,:DWORD
;SetMenuContextHelpId PROTO :DWORD,:DWORD
;SetMenuDefaultItem PROTO :DWORD,:DWORD,:DWORD
;SetMenuInfo PROTO :DWORD,:DWORD
;SetMenuItemBitmaps Proto :DWord, :DWord, :DWord, :DWord, :DWord

;SetMenuItemInfoA Proto :DWord, :DWord, :DWord, :DWord
;SetMenuItemInfoW Proto :DWord, :DWord, :DWord, :DWord
;SetMenuItemInfo Equ <SetMenuItemInfoA>

;SetMessageExtraInfo PROTO :DWORD
;SetMessageQueue Proto :DWord
;SetParent PROTO :DWORD,:DWORD
;SetProcessDefaultLayout PROTO :DWORD
;SetProcessWindowStation PROTO :DWORD

;SetRect Proto :DWord, :DWord, :DWord, :DWord, :DWord
;SetRectEmpty Proto :DWord
SetScrollInfo PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetScrollPos PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetScrollRange PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;SetShellWindow Proto :DWORD
;SetSysColors PROTO :DWORD,:DWORD,:DWORD
;SetSystemCursor PROTO :DWORD,:DWORD
;SetThreadDesktop PROTO :DWORD
SetTimer PROTO :DWORD,:DWORD,:DWORD,:DWORD

;SetUserObjectSecurity Proto :DWord, :DWord, :DWord
;SetWinEventHook Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;SetWindowContextHelpId Proto :DWord, :DWord

SetWindowLongA Proto :DWord, :DWord, :DWord
SetWindowLongW Proto :DWord, :DWord, :DWord
SetWindowLong Equ <SetWindowLongA>

;SetWindowPlacement PROTO :DWORD,:DWORD
SetWindowPos Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;SetWindowRgn Proto :DWord, :DWord, :DWord

SetWindowTextA Proto :DWord, :DWord
SetWindowTextW Proto :DWord, :DWord
SetWindowText Equ <SetWindowTextA>

;SetWindowWord Proto :DWord, :DWord, :DWord

;SetWindowsHookA Proto :DWord, :DWord
;SetWindowsHookW Proto :DWord, :DWord
;SetWindowsHook Equ <SetWindowsHookA>

;SetWindowsHookExA Proto :DWord, :DWord, :DWord, :DWord
;SetWindowsHookExW Proto :DWord, :DWord, :DWord, :DWord
;SetWindowsHookEx Equ <SetWindowsHookExA>

;ShowCaret PROTO :DWORD
;ShowCursor PROTO :DWORD
;ShowOwnedPopups Proto :DWord, :DWord
;ShowScrollBar PROTO :DWORD,:DWORD,:DWORD
ShowWindow Proto :DWord, :DWord
;ShowWindowAsync PROTO :DWORD,:DWORD
;SubtractRect PROTO :DWORD,:DWORD,:DWORD
;SwapMouseButton PROTO :DWORD
;SwitchDesktop Proto :DWord

SystemParametersInfoA Proto :DWord, :DWord, :DWord, :DWord
SystemParametersInfoW Proto :DWord, :DWord, :DWord, :DWord
SystemParametersInfo Equ <SystemParametersInfoA>

;TabbedTextOutA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;TabbedTextOutW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;TabbedTextOut Equ <TabbedTextOutA>

;ToAscii PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ToAsciiEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ToUnicode Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;ToUnicodeEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
TrackMouseEvent PROTO :DWORD
;TrackPopupMenu PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;TrackPopupMenuEx Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord

TranslateAcceleratorA Proto :DWord, :DWord, :DWord
TranslateAcceleratorW Proto :DWord, :DWord, :DWord
TranslateAccelerator Equ <TranslateAcceleratorA>

;TranslateMDISysAccel PROTO :DWORD,:DWORD
TranslateMessage Proto :DWord
;UnhookWinEvent PROTO :DWORD
;UnhookWindowsHook PROTO :DWORD,:DWORD
;UnhookWindowsHookEx PROTO :DWORD
;UnionRect PROTO :DWORD,:DWORD,:DWORD
;UnloadKeyboardLayout PROTO :DWORD
;UnpackDDElParam Proto :DWord, :DWord, :DWord, :DWord

UnregisterClassA Proto :DWord, :DWord
UnregisterClassW Proto :DWord, :DWord
UnregisterClass Equ <UnregisterClassA>

UpdateWindow Proto :DWORD
;UserHandleGrantAccess PROTO :DWORD,:DWORD,:DWORD
;ValidateRect PROTO :DWORD,:DWORD
;ValidateRgn Proto :DWord, :DWord

;VkKeyScanA Proto :DWord
;VkKeyScanW Proto :DWord
;VkKeyScan Equ <VkKeyScanA>

;VkKeyScanExA Proto :DWord, :DWord
;VkKeyScanExW Proto :DWord, :DWord
;VkKeyScanEx Equ <VkKeyScanExA>

;WaitForInputIdle PROTO :DWORD,:DWORD
;WaitMessage PROTO 
;Win32PoolAllocationStats Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord

;WinHelpA Proto :DWord, :DWord, :DWord, :DWord
;WinHelpW Proto :DWord, :DWord, :DWord, :DWord
;WinHelp Equ <WinHelpA>

;WindowFromDC PROTO :DWORD
;WindowFromPoint Proto :DWord, :DWord
;keybd_event PROTO :DWORD,:DWORD,:DWORD,:DWORD
;mouse_event Proto :DWord, :DWord, :DWord, :DWord, :DWord

wsprintfA Proto C :VarArg
wsprintfW Proto C :VarArg
wsprintf Equ <wsprintfA>

;wvsprintfA Proto :DWord, :DWord, :DWord
;wvsprintfW Proto :DWord, :DWord, :DWord
;wvsprintf Equ <wvsprintfA>


;=======================================================;
;                        Gdi32                          ;
;=======================================================;

;AddFontResourceA Proto :DWord
;AddFontResourceW Proto :DWord
;AddFontResource Equ <AddFontResourceA>

;AddFontResourceExA Proto :DWord, :DWord, :DWord
;AddFontResourceExW Proto :DWord, :DWord, :DWord
;AddFontResourceEx Equ <AddFontResourceExA>

;AngleArc PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;AnimatePalette PROTO :DWORD,:DWORD,:DWORD,:DWORD
;Arc Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;ArcTo PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;BeginPath PROTO :DWORD
BitBlt PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;CancelDC PROTO :DWORD
;CheckColorsInGamut PROTO :DWORD,:DWORD,:DWORD,:DWORD
;ChoosePixelFormat PROTO :DWORD,:DWORD
;Chord PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;CloseEnhMetaFile PROTO :DWORD
;CloseFigure PROTO :DWORD
;CloseMetaFile PROTO :DWORD
;ColorCorrectPalette PROTO :DWORD,:DWORD,:DWORD,:DWORD
;ColorMatchToTarget PROTO :DWORD,:DWORD,:DWORD
;CombineRgn PROTO :DWORD,:DWORD,:DWORD,:DWORD
;CombineTransform Proto :DWord, :DWord, :DWord

;CopyEnhMetaFileA Proto :DWord, :DWord
;CopyEnhMetaFileW Proto :DWord, :DWord
;CopyEnhMetaFile Equ <CopyEnhMetaFileA>

;CopyMetaFileA Proto :DWord, :DWord
;CopyMetaFileW Proto :DWord, :DWord
;CopyMetaFile Equ <CopyMetaFileA>

;CreateBitmap PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;CreateBitmapIndirect Proto :DWord
;CreateBrushIndirect Proto :DWord

;CreateColorSpaceA Proto :DWord
;CreateColorSpaceW Proto :DWord
;CreateColorSpace Equ <CreateColorSpaceA>

CreateCompatibleBitmap PROTO :DWORD,:DWORD,:DWORD
CreateCompatibleDC Proto :DWord

;CreateDCA Proto :DWord, :DWord, :DWord, :DWord
;CreateDCW Proto :DWord, :DWord, :DWord, :DWord
;CreateDC Equ <CreateDCA>

;CreateDIBPatternBrush PROTO :DWORD,:DWORD
;CreateDIBPatternBrushPt Proto :DWord, :DWord
;CreateDIBSection PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;CreateDIBitmap PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;CreateDiscardableBitmap PROTO :DWORD,:DWORD,:DWORD
;CreateEllipticRgn PROTO :DWORD,:DWORD,:DWORD,:DWORD
;CreateEllipticRgnIndirect Proto :DWord

;CreateEnhMetaFileA Proto :DWord, :DWord, :DWord, :DWord
;CreateEnhMetaFileW Proto :DWord, :DWord, :DWord, :DWord
;CreateEnhMetaFile Equ <CreateEnhMetaFileA>

CreateFontA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
CreateFontW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
CreateFont Equ <CreateFontA>

;CreateFontIndirectA Proto :DWord
;CreateFontIndirectW Proto :DWord
;CreateFontIndirect Equ <CreateFontIndirectA>

;CreateFontIndirectExA Proto :DWord
;CreateFontIndirectExW Proto :DWord
;CreateFontIndirectEx Equ <CreateFontIndirectExA>

;CreateHalftonePalette PROTO :DWORD
;CreateHatchBrush PROTO :DWORD,:DWORD

;CreateMetaFileA Proto :DWord
;CreateMetaFileW Proto :DWord
;CreateMetaFile Equ <CreateMetaFileA>

;CreatePalette PROTO :DWORD
;CreatePatternBrush Proto :DWord
CreatePen PROTO :DWORD,:DWORD,:DWORD
;CreatePenIndirect PROTO :DWORD
;CreatePolyPolygonRgn PROTO :DWORD,:DWORD,:DWORD,:DWORD
;CreatePolygonRgn PROTO :DWORD,:DWORD,:DWORD
;CreateRectRgn PROTO :DWORD,:DWORD,:DWORD,:DWORD
;CreateRectRgnIndirect PROTO :DWORD
;CreateRoundRectRgn Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord

;CreateScalableFontResourceA Proto :DWord, :DWord, :DWord, :DWord
;CreateScalableFontResourceW Proto :DWord, :DWord, :DWord, :DWord
;CreateScalableFontResource Equ <CreateScalableFontResourceA>

CreateSolidBrush PROTO :DWORD
;DPtoLP Proto :DWord, :DWord, :DWord
;DeleteColorSpace PROTO :DWORD
DeleteDC PROTO :DWORD
;DeleteEnhMetaFile PROTO :DWORD
;DeleteMetaFile PROTO :DWORD
DeleteObject PROTO :DWORD
;DescribePixelFormat Proto :DWord, :DWord, :DWord, :DWord

;DeviceCapabilitiesExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;DeviceCapabilitiesExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;DeviceCapabilitiesEx Equ <DeviceCapabilitiesExA>

;DrawEscape PROTO :DWORD,:DWORD,:DWORD,:DWORD
Ellipse Proto :DWord, :DWord, :DWord, :DWord, :DWord
;EnableEUDC PROTO :DWORD
;EndDoc PROTO :DWORD
;EndFormPage PROTO :DWORD
;EndPage PROTO :DWORD
;EndPath PROTO :DWORD
;EnumEnhMetaFile Proto :DWord, :DWord, :DWord, :DWord, :DWord

;EnumFontFamiliesA Proto :DWord, :DWord, :DWord, :DWord
;EnumFontFamiliesW Proto :DWord, :DWord, :DWord, :DWord
;EnumFontFamilies Equ <EnumFontFamiliesA>

;EnumFontFamiliesExA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;EnumFontFamiliesExW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;EnumFontFamiliesEx Equ <EnumFontFamiliesExA>

;EnumFontsA Proto :DWord, :DWord, :DWord, :DWord
;EnumFontsW Proto :DWord, :DWord, :DWord, :DWord
;EnumFonts Equ <EnumFontsA>

;EnumMetaFile PROTO :DWORD,:DWORD,:DWORD,:DWORD
;EnumObjects PROTO :DWORD,:DWORD,:DWORD,:DWORD
;EqualRgn PROTO :DWORD,:DWORD
;Escape PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;EudcLoadLinkW Proto :DWORD,:DWORD,:DWORD,:DWORD
;EudcUnloadLinkW Proto :DWord, :DWord
;ExcludeClipRect PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ExtCreatePen PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ExtCreateRegion PROTO :DWORD,:DWORD,:DWORD
;ExtEscape PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ExtFloodFill PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ExtSelectClipRgn Proto :DWord, :DWord, :DWord

;ExtTextOutA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;ExtTextOutW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;ExtTextOut Equ <ExtTextOutA>

;FillPath PROTO :DWORD
;FillRgn Proto :DWord, :DWord, :DWord
;FixBrushOrgEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;FlattenPath PROTO :DWORD
;FloodFill PROTO :DWORD,:DWORD,:DWORD,:DWORD
;FrameRgn PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;GdiArtificialDecrementDriver PROTO :DWORD,:DWORD
;GdiComment PROTO :DWORD,:DWORD,:DWORD
;GdiDeleteSpoolFileHandle PROTO :DWORD
;GdiEndDocEMF PROTO :DWORD
;GdiEndPageEMF PROTO :DWORD,:DWORD
;GdiFlush PROTO 
;GdiGetBatchLimit PROTO 
;GdiGetDC PROTO :DWORD
;GdiGetDevmodeForPage PROTO :DWORD,:DWORD,:DWORD,:DWORD
;GdiGetPageCount PROTO :DWORD
;GdiGetPageHandle PROTO :DWORD,:DWORD,:DWORD
;GdiGetSpoolFileHandle PROTO :DWORD,:DWORD,:DWORD
;GdiPlayDCScript PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;GdiPlayEMF PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;GdiPlayJournal PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;GdiPlayPageEMF PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;GdiPlayPrivatePageEMF PROTO :DWORD,:DWORD,:DWORD
;GdiPlayScript PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;GdiResetDCEMF PROTO :DWORD,:DWORD
;GdiSetBatchLimit PROTO :DWORD
;GdiStartDocEMF PROTO :DWORD,:DWORD
;GdiStartPageEMF PROTO :DWORD
;GetArcDirection PROTO :DWORD
;GetAspectRatioFilterEx PROTO :DWORD,:DWORD
;GetBitmapBits PROTO :DWORD,:DWORD,:DWORD
;GetBitmapDimensionEx PROTO :DWORD,:DWORD
;GetBkColor PROTO :DWORD
;GetBkMode PROTO :DWORD
;GetBoundsRect PROTO :DWORD,:DWORD,:DWORD
;GetBrushOrgEx Proto :DWord, :DWord

;GetCharABCWidthsA Proto :DWord, :DWord, :DWord, :DWord
;GetCharABCWidthsW Proto :DWord, :DWord, :DWord, :DWord
;GetCharABCWidths Equ <GetCharABCWidthsA>

;GetCharABCWidthsFloatA Proto :DWord, :DWord, :DWord, :DWord
;GetCharABCWidthsFloatW Proto :DWord, :DWord, :DWord, :DWord
;GetCharABCWidthsFloat Equ <GetCharABCWidthsFloatA>

;GetCharWidth32A Proto :DWord, :DWord, :DWord, :DWord
;GetCharWidth32W Proto :DWord, :DWord, :DWord, :DWord
;GetCharWidth32 Equ <GetCharWidth32A>

;GetCharWidthA Proto :DWord, :DWord, :DWord, :DWord
;GetCharWidthW Proto :DWord, :DWord, :DWord, :DWord
;GetCharWidth Equ <GetCharWidthA>

;GetCharWidthFloatA Proto :DWord, :DWord, :DWord, :DWord
;GetCharWidthFloatW Proto :DWord, :DWord, :DWord, :DWord
;GetCharWidthFloat Equ <GetCharWidthFloatA>

;GetClipBox PROTO :DWORD,:DWORD
;GetClipRgn PROTO :DWORD,:DWORD
;GetColorAdjustment PROTO :DWORD,:DWORD
;GetColorSpace PROTO :DWORD
;GetCurrentObject PROTO :DWORD,:DWORD
;GetCurrentPositionEx PROTO :DWORD,:DWORD
;GetDCBrushColor PROTO :DWORD
;GetDCOrgEx Proto :DWord, :DWord
;GetDCPenColor PROTO :DWORD
;GetDIBColorTable PROTO :DWORD,:DWORD,:DWORD,:DWORD
;GetDIBits PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
GetDeviceCaps PROTO :DWORD,:DWORD
;GetDeviceGammaRamp Proto :DWord, :DWord

;GetEnhMetaFileA Proto :DWord
;GetEnhMetaFileW Proto :DWord
;GetEnhMetaFile Equ <GetEnhMetaFileA>

;GetEnhMetaFileBits Proto :DWord, :DWord, :DWord

;GetEnhMetaFileDescriptionA Proto :DWord, :DWord, :DWord
;GetEnhMetaFileDescriptionW Proto :DWord, :DWord, :DWord
;GetEnhMetaFileDescription Equ <GetEnhMetaFileDescriptionA>

;GetEnhMetaFileHeader PROTO :DWORD,:DWORD,:DWORD
;GetEnhMetaFilePaletteEntries Proto :DWord, :DWord, :DWord
;GetEnhMetaFilePixelFormat Proto :DWord,:DWord,:DWord
;GetFontAssocStatus Proto :DWord
;GetFontData Proto :DWord, :DWord, :DWord, :DWord, :DWord
;GetFontLanguageInfo PROTO :DWORD
;GetFontResourceInfoW Proto :DWORD,:DWORD,:DWORD,:DWORD
;GetFontUnicodeRanges Proto :DWord, :DWord

;GetGlyphIndicesA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;GetGlyphIndicesW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;GetGlyphIndices Equ <GetGlyphIndicesA>

;GetGlyphOutlineA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;GetGlyphOutlineW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;GetGlyphOutline Equ <GetGlyphOutlineA>

;GetGraphicsMode Proto :DWord

;GetMetaFileA Proto :DWord
;GetMetaFileW Proto :DWord
;GetMetaFile Equ <GetMetaFileA>

;GetMetaFileBitsEx PROTO :DWORD,:DWORD,:DWORD
;GetMetaRgn PROTO :DWORD,:DWORD
;GetMiterLimit Proto :DWord, :DWord
;GetNearestColor PROTO :DWORD,:DWORD
;GetNearestPaletteIndex Proto :DWord, :DWord

GetObjectA Proto :DWord, :DWord, :DWord
GetObjectW Proto :DWord, :DWord, :DWord
GetObject Equ <GetObjectA>

;GetObjectType Proto :DWord

;GetOutlineTextMetricsA Proto :DWord, :DWord, :DWord
;GetOutlineTextMetricsW Proto :DWord, :DWord, :DWord
;GetOutlineTextMetrics Equ <GetOutlineTextMetricsA>

;GetPaletteEntries PROTO :DWORD,:DWORD,:DWORD,:DWORD
;GetPath Proto :DWord, :DWord, :DWord, :DWord
;GetPixel PROTO :DWORD,:DWORD,:DWORD
;GetPixelFormat PROTO :DWORD
;GetPolyFillMode PROTO :DWORD
;GetROP2 PROTO :DWORD
;GetRandomRgn PROTO :DWORD,:DWORD,:DWORD
;GetRasterizerCaps PROTO :DWORD,:DWORD
;GetRegionData PROTO :DWORD,:DWORD,:DWORD
;GetRelAbs PROTO :DWORD,:DWORD
;GetRgnBox PROTO :DWORD,:DWORD
GetStockObject PROTO :DWORD
;GetStretchBltMode PROTO :DWORD
;GetSystemPaletteEntries PROTO :DWORD,:DWORD,:DWORD,:DWORD
;GetSystemPaletteUse PROTO :DWORD
;GetTextAlign PROTO :DWORD
;GetTextCharacterExtra PROTO :DWORD
;GetTextCharset PROTO :DWORD
;GetTextCharsetInfo PROTO :DWORD,:DWORD,:DWORD
;GetTextColor Proto :DWord

;GetTextExtentExPointA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;GetTextExtentExPointW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;GetTextExtentExPoint Equ <GetTextExtentExPointA>

GetTextExtentPoint32A Proto :DWord, :DWord, :DWord, :DWord
GetTextExtentPoint32W Proto :DWord, :DWord, :DWord, :DWord
GetTextExtentPoint32 Equ <GetTextExtentPoint32A>

;GetTextExtentPointA Proto :DWord, :DWord, :DWord, :DWord
;GetTextExtentPointW Proto :DWord, :DWord, :DWord, :DWord
;GetTextExtentPoint Equ <GetTextExtentPointA>

;GetTextFaceA Proto :DWord, :DWord, :DWord
;GetTextFaceW Proto :DWord, :DWord, :DWord
;GetTextFace Equ <GetTextFaceA>

;GetTextMetricsA Proto :DWord, :DWord
;GetTextMetricsW Proto :DWord, :DWord
;GetTextMetrics Equ <GetTextMetricsA>

;GetViewportExtEx PROTO :DWORD,:DWORD
;GetViewportOrgEx Proto :DWord, :DWord
;GetWinMetaFileBits PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;GetWindowExtEx PROTO :DWORD,:DWORD
;GetWindowOrgEx PROTO :DWORD,:DWORD
;GetWorldTransform PROTO :DWORD,:DWORD
;IntersectClipRect PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;InvertRgn PROTO :DWORD,:DWORD
;LPtoDP Proto :DWord, :DWord, :DWord

;LineDDA PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;LineDDW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;LineDD Equ <LineDDA>

LineTo PROTO :DWORD,:DWORD,:DWORD
;MaskBlt PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ModifyWorldTransform PROTO :DWORD,:DWORD,:DWORD
MoveToEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;OffsetClipRgn PROTO :DWORD,:DWORD,:DWORD
;OffsetRgn PROTO :DWORD,:DWORD,:DWORD
;OffsetViewportOrgEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;OffsetWindowOrgEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;PaintRgn PROTO :DWORD,:DWORD
PatBlt PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;PathToRegion PROTO :DWORD
;Pie PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;PlayEnhMetaFile PROTO :DWORD,:DWORD,:DWORD
;PlayEnhMetaFileRecord PROTO :DWORD,:DWORD,:DWORD,:DWORD
;PlayMetaFile PROTO :DWORD,:DWORD
;PlayMetaFileRecord PROTO :DWORD,:DWORD,:DWORD,:DWORD
;PlgBlt PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;PolyBezier PROTO :DWORD,:DWORD,:DWORD
;PolyBezierTo PROTO :DWORD,:DWORD,:DWORD
;PolyDraw Proto :DWORD,:DWORD,:DWORD,:DWORD
;PolyPolygon PROTO :DWORD,:DWORD,:DWORD,:DWORD
;PolyPolyline Proto :DWord, :DWord, :DWord, :DWord

;PolyTextOutA Proto :DWord, :DWord, :DWord
;PolyTextOutW Proto :DWord, :DWord, :DWord
;PolyTextOut Equ <PolyTextOutA>

;Polygon PROTO :DWORD,:DWORD,:DWORD
;Polyline Proto :DWord, :DWord, :DWord
;PolylineTo PROTO :DWORD,:DWORD,:DWORD
;PtInRegion PROTO :DWORD,:DWORD,:DWORD
;PtVisible PROTO :DWORD,:DWORD,:DWORD
;RealizePalette PROTO :DWORD
;RectInRegion PROTO :DWORD,:DWORD
;RectVisible PROTO :DWORD,:DWORD
Rectangle PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;RemoveFontMemResourceEx Proto :DWord

;RemoveFontResourceA Proto :DWord
;RemoveFontResourceW Proto :DWord
;RemoveFontResource Equ <RemoveFontResourceA>

;RemoveFontResourceExA Proto :DWord, :DWord, :DWord
;RemoveFontResourceExW Proto :DWord, :DWord, :DWord
;RemoveFontResourceEx Equ <RemoveFontResourceExA>

;ResetDCA Proto :DWord, :DWord
;ResetDCW Proto :DWord, :DWord
;ResetDC Equ <ResetDCA>

;ResizePalette PROTO :DWORD,:DWORD
;RestoreDC Proto :DWord, :DWord
;RoundRect PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;SaveDC PROTO :DWORD
;ScaleViewportExtEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;ScaleWindowExtEx PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;SelectBrushLocal PROTO :DWORD,:DWORD
;SelectClipPath PROTO :DWORD,:DWORD
;SelectClipRgn PROTO :DWORD,:DWORD
;SelectFontLocal PROTO :DWORD,:DWORD
SelectObject PROTO :DWORD,:DWORD
;SelectPalette PROTO :DWORD,:DWORD,:DWORD
;SetAbortProc PROTO :DWORD,:DWORD
;SetArcDirection PROTO :DWORD,:DWORD
;SetBitmapBits PROTO :DWORD,:DWORD,:DWORD
;SetBitmapDimensionEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
SetBkColor PROTO :DWORD,:DWORD
SetBkMode PROTO :DWORD,:DWORD
;SetBoundsRect PROTO :DWORD,:DWORD,:DWORD
;SetBrushOrgEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetColorAdjustment PROTO :DWORD,:DWORD
;SetColorSpace PROTO :DWORD,:DWORD
;SetDCBrushColor PROTO :DWORD,:DWORD
;SetDCPenColor PROTO :DWORD,:DWORD
;SetDIBColorTable PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetDIBits PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;SetDIBitsToDevice PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;SetDeviceGammaRamp PROTO :DWORD,:DWORD
;SetEnhMetaFileBits PROTO :DWORD,:DWORD
;SetFontEnumeration PROTO :DWORD
;SetGraphicsMode PROTO :DWORD,:DWORD
;SetICMMode PROTO :DWORD,:DWORD

;SetMapMode Proto :DWord, :DWord
;SetMapperFlags Proto :DWord, :DWord
;SetMetaFileBitsEx PROTO :DWORD,:DWORD
;SetMetaRgn PROTO :DWORD
;SetMiterLimit PROTO :DWORD,:DWORD,:DWORD
;SetPaletteEntries PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetPixel PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetPixelFormat PROTO :DWORD,:DWORD,:DWORD
;SetPixelV PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetPolyFillMode PROTO :DWORD,:DWORD
;SetROP2 PROTO :DWORD,:DWORD
;SetRectRgn PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;SetRelAbs PROTO :DWORD,:DWORD
;SetStretchBltMode PROTO :DWORD,:DWORD
;SetSystemPaletteUse PROTO :DWORD,:DWORD
;SetTextAlign PROTO :DWORD,:DWORD
;SetTextCharacterExtra PROTO :DWORD,:DWORD
SetTextColor PROTO :DWORD,:DWORD
;SetTextJustification PROTO :DWORD,:DWORD,:DWORD
;SetViewportExtEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetViewportOrgEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetWinMetaFileBits PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetWindowExtEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetWindowOrgEx PROTO :DWORD,:DWORD,:DWORD,:DWORD
;SetWorldTransform PROTO :DWORD,:DWORD

StretchBlt PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;StretchDIBits PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;StrokeAndFillPath Proto :DWord
;StrokePath PROTO :DWORD
;SwapBuffers Proto :DWord

TextOutA Proto :DWord, :DWord, :DWord, :DWord, :DWord
TextOutW Proto :DWord, :DWord, :DWord, :DWord, :DWord
TextOut Equ <TextOutA>

;TranslateCharsetInfo PROTO :DWORD,:DWORD,:DWORD
;UnrealizeObject Proto :DWord
;UpdateColors Proto :DWord

;=======================================================;
;                       Advapi32                        ;
;=======================================================;

RegCloseKey PROTO :DWORD

RegCreateKeyA Proto :DWord, :DWord, :DWord
RegCreateKeyW Proto :DWord, :DWord, :DWord
RegCreateKey Equ <RegCreateKeyA>

RegCreateKeyExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegCreateKeyExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegCreateKeyEx Equ <RegCreateKeyExA>

RegDeleteKeyA Proto :DWord, :DWord
RegDeleteKeyW Proto :DWord, :DWord
RegDeleteKey Equ <RegDeleteKeyA>

RegDeleteValueA Proto :DWord, :DWord
RegDeleteValueW Proto :DWord, :DWord
RegDeleteValue Equ <RegDeleteValueA>

RegEnumKeyA Proto :DWord, :DWord, :DWord, :DWord
RegEnumKeyW Proto :DWord, :DWord, :DWord, :DWord
RegEnumKey Equ <RegEnumKeyA>

RegEnumKeyExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegEnumKeyExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegEnumKeyEx Equ <RegEnumKeyExA>

RegEnumValueA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegEnumValueW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegEnumValue Equ <RegEnumValueA>

;RegLoadKeyA Proto :DWord, :DWord, :DWord
;RegLoadKeyW Proto :DWord, :DWord, :DWord
;RegLoadKey Equ <RegLoadKeyA>

;RegNotifyChangeKeyValue PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
;RegOpenCurrentUser Proto :DWord, :DWord

;RegOpenKeyA Proto :DWord, :DWord, :DWord
;RegOpenKeyW Proto :DWord, :DWord, :DWord
;RegOpenKey Equ <RegOpenKeyA>

RegOpenKeyExA Proto :DWord, :DWord, :DWord, :DWord, :DWord
RegOpenKeyExW Proto :DWord, :DWord, :DWord, :DWord, :DWord
RegOpenKeyEx Equ <RegOpenKeyExA>

;RegQueryInfoKeyA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;RegQueryInfoKeyW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
;RegQueryInfoKey Equ <RegQueryInfoKeyA>

;RegQueryMultipleValuesA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;RegQueryMultipleValuesW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;RegQueryMultipleValues Equ <RegQueryMultipleValuesA>

;RegQueryValueA Proto :DWord, :DWord, :DWord, :DWord
;RegQueryValueW Proto :DWord, :DWord, :DWord, :DWord
;RegQueryValue Equ <RegQueryValueA>

RegQueryValueExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegQueryValueExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegQueryValueEx Equ <RegQueryValueExA>

;RegReplaceKeyA Proto :DWord, :DWord, :DWord, :DWord
;RegReplaceKeyW Proto :DWord, :DWord, :DWord, :DWord
;RegReplaceKey Equ <RegReplaceKeyA>

;RegRestoreKeyA Proto :DWord, :DWord, :DWord
;RegRestoreKeyW Proto :DWord, :DWord, :DWord
;RegRestoreKey Equ <RegRestoreKeyA>

;RegSaveKeyA Proto :DWord, :DWord, :DWord
;RegSaveKeyW Proto :DWord, :DWord, :DWord
;RegSaveKey Equ <RegSaveKeyA>

;RegSetKeySecurity Proto :DWord, :DWord, :DWord

;RegSetValueA Proto :DWord, :DWord, :DWord, :DWord, :DWord
;RegSetValueW Proto :DWord, :DWord, :DWord, :DWord, :DWord
;RegSetValue Equ <RegSetValueA>

RegSetValueExA Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegSetValueExW Proto :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
RegSetValueEx Equ <RegSetValueExA>

;RegUnLoadKeyA Proto :DWord, :DWord
;RegUnLoadKeyW Proto :DWord, :DWord
;RegUnLoadKey Equ <RegUnLoadKeyA>

;=======================================================;
;                       ComCtl32                        ;
;=======================================================;

_TrackMouseEvent Proto: DWord
ImageList_Create Proto :DWord, :DWord, :DWord, :DWord, :DWord
ImageList_Destroy Proto :DWord
ImageList_Add PROTO :DWORD,:DWORD,:DWORD
ImageList_AddIcon PROTO :DWORD,:DWORD
ImageList_AddMasked PROTO :DWORD,:DWORD,:DWORD
;ImageList_GetIconSize PROTO :DWORD,:DWORD,:DWORD
ImageList_GetImageCount PROTO :DWORD
ImageList_Remove PROTO :DWORD,:DWORD
ImageList_SetBkColor PROTO :DWORD,:DWORD


;=======================================================;
;                      Structures                       ;
;=======================================================;
IFNDEF OSVERSIONINFOA
	OSVERSIONINFOA Struct
		dwOSVersionInfoSize DD ?
		dwMajorVersion DD ?
		dwMinorVersion DD ?
		dwBuildNumber DD ?
		dwPlatformId DD ?
		szCSDVersion DB 128 Dup(?)
	OSVERSIONINFOA EndS
ENDIF

;IFNDEF OSVERSIONINFOW
;	OSVERSIONINFOW Struct
;		dwOSVersionInfoSize DD ?
;		dwMajorVersion DD ?
;		dwMinorVersion DD ?
;		dwBuildNumber DD ?
;		dwPlatformId DD ?
;		szCSDVersion DW 128 Dup(?)
;	OSVERSIONINFOW EndS
;ENDIF

OSVERSIONINFO	Equ <OSVERSIONINFOA>

;IFNDEF COMBOBOXINFO
;	COMBOBOXINFO Struct
;	  cbSize DD ?
;	  rcItem RECT <?>
;	  rcButton RECT <?>
;	  stateButton DD ?
;	  hwndCombo HWND ?
;	  hwndItem HWND ?
;	  hwndList HWND ?
;	COMBOBOXINFO EndS
;ENDIF
