;===========================================================================
; Object type constants
;===========================================================================
ecDialogBox			Equ		1
ecMDIWindow			Equ		2
ecWindow			Equ		3
ecStatic			Equ		4
ecEdit				Equ		5
ecGroup				Equ		6
ecButton			Equ		7
ecCheck				Equ		8
ecRadio				Equ		9
ecList				Equ		10
ecCombo				Equ		11
ecPicture			Equ		12
ecImage				Equ		13
ecHScroll			Equ		14
ecVScroll			Equ		15
ecRichEdit			Equ		16
ecTreeView			Equ		17
ecListView			Equ		18
ecToolBar			Equ		19
ecStatusBar			Equ		20
ecProgressBar		Equ		21
ecSlider			Equ		22
ecTabStrip	 		Equ		23
ecUpDown			Equ		24
ecAnimate			Equ		25
ecIpAddress			Equ		26
ecImageCombo		Equ		27
ecCalendar			Equ		28
ecDateTime			Equ		29
ecHotKey			Equ		30
ecPager				Equ		31
ecImageList			Equ		32
ecHeader			Equ		33
ecRebar				Equ		34
ecUser				Equ		50


;===========================================================================
; Registry constants
;===========================================================================
ecClassesRoot		Equ		HKEY_CLASSES_ROOT
ecCurrentUser		Equ		HKEY_CURRENT_USER
ecLocalMachine		Equ		HKEY_LOCAL_MACHINE
ecUsers				Equ		HKEY_USERS
ecPerformanceData	Equ		HKEY_PERFORMANCE_DATA
ecCurrentConfig		Equ		HKEY_CURRENT_CONFIG
ecDynData			Equ		HKEY_DYN_DATA


;===========================================================================
; Scale Mode constants
;===========================================================================
ecPixels			Equ		0
ecTwips				Equ		1


;===========================================================================
; Mouse cursor constants
;===========================================================================
ecDefault			Equ		0
ecArrow				Equ		1
ecIBeam				Equ		2
ecWait				Equ		3
ecCross				Equ		4
ecUpArrow			Equ		5
ecSizeAll			Equ		6
ecSizeNWSE			Equ		7
ecSizeNESW			Equ		8
ecSizeWE			Equ		9
ecSizeNS			Equ		10
ecNoDrop			Equ		11
ecAppStarting		Equ		12
ecHelp				Equ		13
ecCustom			Equ		14


;===========================================================================
; Drawing style constants
;===========================================================================
ecSolid				Equ		0
ecDash				Equ		1
ecDot				Equ		2
ecDashDot			Equ		3
ecDashDotDot		Equ		4
ecNull				Equ		5
ecInsideFrame		Equ		6


;===========================================================================
; Scroll bars constants
;===========================================================================
ecNone				Equ		0
ecHorizontal		Equ		1
ecVertical			Equ		2
ecBoth				Equ		3


;===========================================================================
; Show mode constants
;===========================================================================
ecHidden			Equ		(-1)
ecNormal			Equ		0
ecMinimized			Equ		1
ecMaximized			Equ		2

;===========================================================================
; Mode constants
;===========================================================================
ecModeless			Equ		0
ecModal				Equ		1


;===========================================================================
; Center Window constants
;===========================================================================
ecLeft				Equ		0
ecCenter			Equ		1
ecRight				Equ		2


;===========================================================================
; OS System constants
;===========================================================================
ecWin95				Equ		1
ecWin98				Equ		2
ecWinNT				Equ		3
ecWin2K				Equ		4
ecWinXP				Equ		5
ecWinVista			Equ		6
ecWin7				Equ		7
ecWinSeven			Equ		7


;===========================================================================
; Constants for String method
;===========================================================================
ecBinary			Equ		0
ecDecimal			Equ		1
ecHexa				Equ		2
ecOctal				Equ		3


;===========================================================================
; Open text file constants
;===========================================================================
ecRead				Equ		GENERIC_READ
ecWrite				Equ		GENERIC_WRITE

ecCreateNew			Equ		CREATE_NEW
ecCreateAlways		Equ		CREATE_ALWAYS
ecOpenExisting		Equ		OPEN_EXISTING
ecOpenAlways		Equ		OPEN_ALWAYS
ecTruncateExisting	Equ		TRUNCATE_EXISTING


;===========================================================================
; Easy Code messages
;===========================================================================
ECM_AFTERCREATE		Equ		(WM_USER + 1049)


;===========================================================================
; Object properties enumeration
;===========================================================================
p_Align				Equ		0
p_AutoSize			Equ		4
p_BackColor			Equ		8
p_crBackColor		Equ		12
p_Brush				Equ		16
p_CaseStyle			Equ		20
p_Center			Equ		24
p_CursorIcon		Equ		28
p_CursorShape		Equ		32
p_DisableClose		Equ		36
p_DrawingStyle		Equ		40
p_DrawingWidth		Equ		44
p_Enabled			Equ		48
p_Focus				Equ		52
p_Font				Equ		56
p_FontBold			Equ		60
p_FontItalic		Equ		64
p_FontName			Equ		68
p_FontSize			Equ		72
p_FontStrikethru	Equ		76
p_FontUnderline		Equ		80
p_ForeColor			Equ		84
p_crForeColor		Equ		88
p_Height			Equ		92
p_hWnd				Equ		96
p_hWndClient		Equ		100
p_IconBig			Equ		104
p_IconSmall			Equ		108
p_ImageHeight		Equ		112
p_ImageType			Equ		116
p_ImageWidth		Equ		120
p_KeepSize			Equ		124
p_Left				Equ		128
p_Main				Equ		132
p_MaxLength			Equ		136
p_MDIChild			Equ		140
p_Menu				Equ		144
p_Name				Equ		148
p_NoPrefix			Equ		152
p_Offset			Equ		156
p_Parent			Equ		160
p_PasswordChar		Equ		164
p_Pen				Equ		168
p_Picture			Equ		172
p_RightToLeft		Equ		176
p_ScaleMode			Equ		180
p_ScrollBars		Equ		184
p_ShowMode			Equ		188
p_Stretch			Equ		192
p_TabOrder			Equ		196
p_TabStop			Equ		200
p_Text				Equ		204
p_TextAlignment		Equ		208
p_TextLength		Equ		212
p_Timer				Equ		216
p_TimerID			Equ		220
p_Top				Equ		224
p_Transparent		Equ		228
p_Type				Equ		232
p_Value				Equ		236
p_Visible			Equ		240
p_Width				Equ		244
p_WindowProc		Equ		248
p_WndOldControlProc	Equ		252
p_DialogID			Equ		256
p_Children			Equ		260
p_DefButton			Equ		264
p_ExStyle			Equ		268
p_Style				Equ		272
p_ButtonStruct		Equ		276
p_OldFont			Equ		280
p_PropertyCount		Equ		284
p_ToolTip			Equ		284

p_Alignment			Equ		p_AutoSize
p_AlignMode			Equ		p_Transparent
p_AutoRedraw		Equ		p_PasswordChar
p_BandCount			Equ		p_DrawingStyle
p_BandStruct		Equ		p_ButtonStruct
p_Border			Equ		p_CaseStyle
p_ButtonCount		Equ		p_DrawingStyle
p_ButtonHeight		Equ		p_CaseStyle
p_ButtonSize		Equ		p_Center
p_ButtonWidth		Equ		p_Center
p_Cancel			Equ		p_AutoSize
p_ChildOffset		Equ		p_OldFont
p_ColorQuality		Equ		p_TextAlignment
p_CurrentX			Equ		p_NoPrefix
p_CurrentY			Equ		p_Offset
p_Default			Equ		p_DisableClose
p_DisableNoScroll	Equ		p_DisableClose
p_DrawFlags			Equ		p_Value
p_DrawFocus			Equ		p_Transparent
p_FlickerFree		Equ		p_DisableClose
p_GripperCursor		Equ		p_NoPrefix
p_HideSelection		Equ		p_AutoSize
p_HitTest			Equ		p_Offset
p_ImageCount		Equ		p_Transparent
p_ImageList			Equ		p_DrawingStyle
p_ImageStruct		Equ		p_ButtonStruct
p_Indentation		Equ		p_CaseStyle
p_ItemCount			Equ		p_DrawingStyle
p_ItemStruct		Equ		p_ButtonStruct
p_LvwExStyle		Equ		p_TextAlignment
p_MaxValue			Equ		p_ScrollBars
p_MinValue			Equ		p_ShowMode
p_Modal				Equ		p_Stretch
p_MultiLine			Equ		p_NoPrefix
p_NormalStyle		Equ		p_Style
p_OwnerDraw			Equ		p_DrawingStyle
p_PageSize			Equ		p_TextAlignment
p_PannelCount		Equ		p_DrawingStyle
p_PannelStruct		Equ		p_ButtonStruct
p_PicturePosition	Equ		p_MaxLength
p_SelStart			Equ		p_Offset
p_SelEnd			Equ		p_Stretch
p_TabCount			Equ		p_DrawingStyle
p_TabStruct			Equ		p_ButtonStruct
p_TickFrequency		Equ		p_Transparent
p_ToolTipText		Equ		p_ToolTip
p_VisibleRows		Equ		p_MaxLength


;===========================================================================
; Error Object struct
;===========================================================================
ECErrorStruct Struct 4
	dwEsp		DD		0	;0
	dwEbp		DD		0	;4
	dwEip		DD		0	;8
	Code		DD		0	;12
	Description	DD		0	;16
ECErrorStruct EndS


;===========================================================================
; App Object struct
;===========================================================================
ECApplication Struct 4
	Accel		DD		0	;0
	CommandLine	DD		0	;4
	FileName	DD		0	;8
	Header		DD		0	;12
	Instance	DD		0	;16
	Main		DD		0	;20
	Major		DD		0	;24
	Minor		DD		0	;28
	Previous	DD		0	;32
	Revision	DD		0	;36
	Path		DD		0	;40
	ProcessID	DD		0	;44
	ThreadID	DD		0	;48
ECApplication EndS


;===========================================================================
; StatusBar Object struct
;===========================================================================
STBPANNEL Struct 4
	nWidth		DD		0
	nBevel		DD		0
	lpszText	DD		0
STBPANNEL EndS


;===========================================================================
; ImageList Object struct
;===========================================================================
IMAGESTRUCT Struct 4
	lType		DD		0
	lpszResID	DD		0
IMAGESTRUCT EndS


;===========================================================================
; Header Object struct
;===========================================================================
ITEMSTRUCT Struct 4
	iImage		DD		0
	nWidth		DD		0
	lTextAlign	DD		0
	lpszText	DD		0
ITEMSTRUCT EndS


;===========================================================================
; Reabr Object struct
;===========================================================================
BANDSTRUCT Struct 4
	lHeader		DD		0
	lLength		DD		0
	lMinHeight	DD		0
	lMinWidth	DD		0
	dwStyle		DD		0
	hBitmap		DD		0
	hWndChild	DD		0
	lpszBitmap	DD		0
	lpszChild	DD		0
	lpszText	DD		0
BANDSTRUCT EndS


;===========================================================================
; CPU Info struct
;===========================================================================
CPUINFO Struct 4
	Description  DB 32 Dup(0)
	Stepping     DD 0
	Family       DD 0
	Model        DD 0
	CPUType      DD 0
	ModelID      DD 0
	FeaturesID   DD 0
CPUINFO EndS


;===========================================================================
; Get properties prototypes
;===========================================================================
GetAlign		 		Proto	:DWord
GetAutoSize		 		Proto	:DWord
GetBackColor	 		Proto	:DWord
GetCancel				Proto	:DWord
GetCaseStyle	 		Proto	:DWord
GetCursorIcon			Proto	:DWord
GetCursorShape			Proto	:DWord
GetDefault				Proto	:DWord
GetDrawFocus			Proto	:DWord
GetDrawingStyle			Proto	:DWord
GetDrawingWidth			Proto	:DWord
GetEnabled				Proto	:DWord
GetFlickerFree			Proto	:DWord
GetFont					Proto	:DWord
GetFontBold				Proto	:DWord
GetFontItalic			Proto	:DWord
GetFontName				Proto	:DWord, :DWord
GetFontNameA			Proto	:DWord, :DWord
GetFontNameW			Proto	:DWord, :DWord
GetFontSize				Proto	:DWord
GetFontStrikethru		Proto	:DWord
GetFontUnderline		Proto	:DWord
GetForeColor	 		Proto	:DWord
GetHeight				Proto	:DWord
GetIconBig				Proto	:DWord
GetIconSmall			Proto	:DWord
GetLeft					Proto	:DWord
GetMaxValue				Proto	:DWord
GetMaxLength			Proto	:DWord
GetMDIChild				Proto	:DWord
GetMinValue				Proto	:DWord
GetMultiLine			Proto	:DWord
GetName					Proto	:DWord, :DWord
GetNameA				Proto	:DWord, :DWord
GetNameW				Proto	:DWord, :DWord
GetNoPrefix				Proto	:DWord
GetPageSize				Proto	:DWord
GetPasswordChar			Proto	:DWord
GetPicture				Proto	:DWord
GetPicturePosition		Proto	:DWord
GetRightToLeft			Proto	:DWord
GetScaleMode			Proto	:DWord
GetScrollBars			Proto	:DWord
GetShowMode				Proto	:DWord
GetStretch				Proto	:DWord
GetTabOrder				Proto	:DWord
GetTabStop				Proto	:DWord
GetText					Proto	:DWord, :DWord
GetTextA				Proto	:DWord, :DWord
GetTextW				Proto	:DWord, :DWord
GetTextAlignment		Proto	:DWord
GetTimerInterval		Proto	:DWord
GetTop					Proto	:DWord
GetType					Proto	:DWord
GetValue				Proto	:DWord
GetVisible				Proto	:DWord
GetVisibleRows			Proto	:DWord
GetWidth				Proto	:DWord


;===========================================================================
; Set properties prototypes
;===========================================================================
SetAlign		 		Proto	:DWord, :DWord
SetAutoSize		 		Proto	:DWord, :DWord
SetBackColor	 		Proto	:DWord, :DWord
SetCursorIcon			Proto	:DWord, :DWord
SetCursorShape			Proto	:DWord, :DWord
SetDefault				Proto	:DWord, :DWord
SetDrawFocus			Proto	:DWord, :DWord
SetDrawingStyle			Proto	:DWord, :DWord
SetDrawingWidth			Proto	:DWord, :DWord
SetEnabled				Proto	:DWord, :DWord
SetFlickerFree			Proto	:DWord, :DWord
SetFontBold				Proto	:DWord, :DWord
SetFontItalic			Proto	:DWord, :DWord
SetFontName				Proto	:DWord, :DWord
SetFontNameA			Proto	:DWord, :DWord
SetFontNameW			Proto	:DWord, :DWord
SetFontSize				Proto	:DWord, :DWord
SetFontStrikethru		Proto	:DWord, :DWord
SetFontUnderline		Proto	:DWord, :DWord
SetForeColor	 		Proto	:DWord, :DWord
SetHeight				Proto	:DWord, :DWord
SetIconBig				Proto	:DWord, :DWord
SetIconSmall			Proto	:DWord, :DWord
SetLeft					Proto	:DWord, :DWord
SetMaxValue				Proto	:DWord, :DWord
SetMaxLength			Proto	:DWord, :DWord
SetMinValue				Proto	:DWord, :DWord
SetPageSize				Proto	:DWord, :DWord
SetPasswordChar			Proto	:DWord, :DWord
SetPicture				Proto	:DWord, :DWord
SetPicturePosition		Proto	:DWord, :DWord
SetRightToLeft			Proto	:DWord, :DWord
SetScrollBars			Proto	:DWord, :DWord
SetShowMode				Proto	:DWord, :DWord
SetTabStop				Proto	:DWord, :DWord
SetText					Proto	:DWord, :DWord
SetTextA				Proto	:DWord, :DWord
SetTextW				Proto	:DWord, :DWord
SetTimerInterval		Proto	:DWord, :DWord
SetTop					Proto	:DWord, :DWord
SetValue				Proto	:DWord, :DWord
SetVisible				Proto	:DWord, :DWord
SetVisibleRows			Proto	:DWord, :DWord
SetWidth				Proto	:DWord, :DWord


;===========================================================================
; Methods prototypes
;===========================================================================
AddCollectionItem			Proto	:DWord, :DWord
AddCollectionItemA			Proto	:DWord, :DWord
AddCollectionItemW			Proto	:DWord, :DWord
CallDefaultProc				Proto	:DWord, :DWord, :DWord, :DWord
Circle						Proto	:DWord, :DWord, :DWord, :DWord, :DWord, :DWord
Create						Proto	:DWord, :DWord, :DWord, :DWord
CreateCollection			Proto	:DWord
CreateCollectionA			Proto	:DWord
CreateCollectionW			Proto	:DWord
DeleteRegistryKey			Proto	:DWord, :DWord
DeleteRegistryKeyA			Proto	:DWord, :DWord
DeleteRegistryKeyW			Proto	:DWord, :DWord
DeleteRegistryValue			Proto	:DWord, :DWord, :DWord
DeleteRegistryValueA		Proto	:DWord, :DWord, :DWord
DeleteRegistryValueW		Proto	:DWord, :DWord, :DWord
DestroyCollection			Proto	:DWord
DoEvents					Proto
EmptyCollection				Proto	:DWord
EndModal					Proto	:DWord, :DWord
Eof							Proto	:DWord
FindChar					Proto	:DWord, :Byte
FindCharA					Proto	:DWord, :Byte
FindCharW					Proto	:DWord, :Word
FindCharRev					Proto	:DWord, :Byte
FindCharRevA				Proto	:DWord, :Byte
FindCharRevW				Proto	:DWord, :Word
FindCollectionExactItem		Proto	:DWord, :DWord
FindCollectionExactItemA	Proto	:DWord, :DWord
FindCollectionExactItemW	Proto	:DWord, :DWord
FindCollectionItem			Proto	:DWord, :DWord
FindCollectionItemA			Proto	:DWord, :DWord
FindCollectionItemW			Proto	:DWord, :DWord
GetChildRect				Proto	:DWord, :DWord
GetCollectionCount			Proto	:DWord
GetCollectionItem			Proto	:DWord, :DWord, :DWord
GetCollectionItemA			Proto	:DWord, :DWord, :DWord
GetCollectionItemW			Proto	:DWord, :DWord, :DWord
GetCollectionItemLength		Proto	:DWord, :DWord
GetCPUInfo					Proto	:DWord
GetCurrentX					Proto	:DWord
GetCurrentY					Proto	:DWord
GetMDIClient				Proto	:DWord
GetOwnerWindow				Proto	:DWord
GetPlatform					Proto	:DWord
GetRegistryValue			Proto	:DWord, :DWord, :DWord, :DWord
GetRegistryValueA			Proto	:DWord, :DWord, :DWord, :DWord
GetRegistryValueW			Proto	:DWord, :DWord, :DWord, :DWord
GetStringLength				Proto	:DWord
GetStringLengthA			Proto	:DWord
GetStringLengthW			Proto	:DWord
GetToolTipHandle			Proto	:DWord
GetWindowItem				Proto	:DWord, :DWord
InsertCollectionItem		Proto	:DWord, :DWord, :DWord
InsertCollectionItemA		Proto	:DWord, :DWord, :DWord
InsertCollectionItemW		Proto	:DWord, :DWord, :DWord
Is64BitVersion				Proto
IsAppUnicode				Proto
IsModal						Proto	:DWord
Left						Proto	:DWord, :DWord
LeftA						Proto	:DWord, :DWord
LeftW						Proto	:DWord, :DWord
Line						Proto	:DWord, :DWord, :DWord, :DWord, :DWord, :DWord, :DWord
LTrim						Proto	:DWord
LTrimA						Proto	:DWord
LTrimW						Proto	:DWord
Mid							Proto	:DWord, :DWord, :DWord
MidA						Proto	:DWord, :DWord, :DWord
MidW						Proto	:DWord, :DWord, :DWord
OpenTextFile				Proto	:DWord, :DWord, :DWord
OpenTextFileA				Proto	:DWord, :DWord, :DWord
OpenTextFileW				Proto	:DWord, :DWord, :DWord
Print						Proto	:DWord, :DWord
PrintA						Proto	:DWord, :DWord
PrintW						Proto	:DWord, :DWord
ReadTextLine				Proto	:DWord, :DWord
ReadTextLineA				Proto	:DWord, :DWord
ReadTextLineW				Proto	:DWord, :DWord
Refresh						Proto	:DWord
RemoveCollectionItem		Proto	:DWord, :DWord
Right						Proto	:DWord, :DWord
RightA						Proto	:DWord, :DWord
RightW						Proto	:DWord, :DWord
RTrim						Proto	:DWord
RTrimA						Proto	:DWord
RTrimW						Proto	:DWord
SetCurrentX					Proto	:DWord, :DWord
SetCurrentY					Proto	:DWord, :DWord
SetDefaultCursor			Proto
SetRegistryValue			Proto	:DWord, :DWord, :DWord, :DWord
SetRegistryValueA			Proto	:DWord, :DWord, :DWord, :DWord
SetRegistryValueW			Proto	:DWord, :DWord, :DWord, :DWord
SetWaitCursor				Proto	:DWord
String						Proto	:DWord, :DWord, :DWord
StringA						Proto	:DWord, :DWord, :DWord
StringW						Proto	:DWord, :DWord, :DWord
Trim						Proto	:DWord
TrimA						Proto	:DWord
TrimW						Proto	:DWord
Update						Proto	:DWord
Value						Proto	:DWord
ValueA						Proto	:DWord
ValueW						Proto	:DWord
WriteTextLine				Proto	:DWord, :DWord
WriteTextLineA				Proto	:DWord, :DWord
WriteTextLineW				Proto	:DWord, :DWord
